Subject: [TLS] Re： Draft for SM cipher suites used in TLS1.3

From: "Kepeng Li" <[email-masked]>
Date: Fri, 16 Aug 2019 15:13:44 +0800

Hi Rene and all,

> Since the ISO documents are not available to the general 
> public without payment, it would be helpful to have a freely available 
> document (in English) from an authoritative source. Having such a 
> reference available would be helpful to the IETF community (and 
> researchers).
About the references to ISO documens, I think it is a general issue for IETF drafts.

How does the other IETF drafts make the references to ISO documents? ISO documents are often referenced by IETF drafts.

Thanks,

Kind Regards
Kepeng
——————————————————————————————————————————————————————————————————
Re: [TLS] Draft for SM cipher suites used in TLS1.3
Rene Struik <[email-masked]> Thu, 15 August 2019 15:34 UTCShow header
Hi Paul:

I tried and look up the documents GMT.0009-2012 and GBT.32918.5-2016 on 
the (non-secured) websites you referenced, but only found Chinese 
versions (and Chinese website navigation panels [pardon my poor language 
skills here]). Since the ISO documents are not available to the general 
public without payment, it would be helpful to have a freely available 
document (in English) from an authoritative source. Having such a 
reference available would be helpful to the IETF community (and 
researchers). Please note that BSI provides its specifications in German 
and English, so as to foster use/study by the community. If the Chinese 
national algorithms would be available in similar form, this would serve 
a similar purpose.

FYI - I am interested in full details and some time last year I tried to 
download specs, but only Parts 2, 4, and 5 were available [1], [2], [3], 
not Parts 1 and 3.

Best regards, Rene

[1] China ECC - Public Key Cryptographic Algorithm SM2 Based on ECC - 
Part 5 - Parameter Definition (SEMB, July 24, 2018)
[2] China ECC - Public Key Cryptographic Algorithm SM2 Based on ECC - 
Part 2 - Digital Signature Algorithm (SEMB, July 24, 2018)
[3] China ECC - Public Key Cryptographic Algorithm SM2 Based on ECC - 
Part 4 - Public Key Encryption Algorithm (SEMB, July 24, 2018)

On 8/15/2019 10:16 AM, Paul Yang wrote:
> Hi all,
>
> I have submitted a new internet draft to introduce the SM cipher 
> suites into TLS 1.3 protocol.
>
> https://tools.ietf.org/html/draft-yang-tls-tls13-sm-suites-00
>
> SM cryptographic algorithms are originally a set of Chinese national 
> algorithms and now have been (or being) accepted by ISO as 
> international standards, including SM2 signature algorithm, SM3 hash 
> function and SM4 block cipher. These algorithms have already been 
> supported some time ago by several widely used open source 
> cryptographic libraries including OpenSSL, BouncyCastle, Botan, etc.
>
> Considering TLS1.3 is being gradually adopted in China's internet 
> industry, it's important to have a normative definition on how to use 
> the SM algorithms with TLS1.3, especially for the mobile internet 
> scenario. Ant Financial is the company who develops the market leading 
> mobile app 'Alipay' and supports payment services for Alibaba 
> e-commerce business. We highly are depending on the new TLS1.3 
> protocol for both performance and security purposes. We expect to have 
> more deployment of TLS1.3 capable applications in China's internet 
> industry by this standardization attempts.
>
> It's very appreciated to have comments from the IETF TLS list :-)
>
> Many thanks!
>
> _______________________________________________
> TLS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tls

---

From: "Blumenthal, Uri - 0553 - MITLL" <[email-masked]>
Date: Fri, 16 Aug 2019 15:05:33 +0000

AFAIK, all the ISO standards that IETF refers to, were defined elsewhere first, i.e., ISO defined them based on some open submissions, publications, etc.

I fully agree with Rene – if you want the specs standardized, provide the complete specs, including the missing parts 1 and 3.

From: TLS <[email-masked]> on behalf of Kepeng Li <[email-masked]>
Reply-To: Kepeng Li <[email-masked]>
Date: Friday, August 16, 2019 at 3:15 AM
To: "rstruik.ext" <[email-masked]>, TLS <[email-masked]>
Subject: [TLS] Re： Draft for SM cipher suites used in TLS1.3

Hi Rene and all,

Thanks,

Kind Regards

Kepeng

 

Best regards, Rene